Twitter Module Breaks if you don't upgrade to OAuth 6.x-3.0

I just sorted out the newest version of the Drupal Twitter module (https://drupal.org/project/twitter) - it was broken somewhere around December by an upgrade that pushed the version required of the Drupal OAuth Module http://drupal.org/project/oauth up to the newer OAuth 6.x-3.0-beta4
There is also now a required module ADDED called "Autoload" (Currently Version 6.x-2.1 - http://drupal.org/project/autoload) that was not required prior to this.

You will also need to go into the User Permissions section and enable the permission for the "twitter_post" module for your preferred User Role, as for some reason, the change in versions removes that permission setting from the database.

Lesson learned, keep checking your Twitter feed and make sure that posts are appearing as expected...